Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 602556 - media-gfx/scantailor-0.9.11.1 : /.../PageLayoutEstimator.cpp:526:74: error: no matching function for call to ‘bind(<unresolved overloaded function type>, boost::lambda::lambda_functor<boost::lambda::identity<std::deque<Span>&> >, boost::lambda::placehol
Summary: media-gfx/scantailor-0.9.11.1 : /.../PageLayoutEstimator.cpp:526:74: error: n...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-12-13 17:35 UTC by Toralf Förster
Modified: 2017-02-26 15:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,353.71 KB, text/plain)
2016-12-13 17:36 UTC, Toralf Förster
Details
environment (environment,117.96 KB, text/plain)
2016-12-13 17:36 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.84 KB, application/x-bzip2)
2016-12-13 17:36 UTC, Toralf Förster
Details
media-gfx:scantailor-0.9.11.1:20161213-172313.log (media-gfx:scantailor-0.9.11.1:20161213-172313.log,527.61 KB, text/plain)
2016-12-13 17:36 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-12-13 17:35:58 UTC
                            ^~~~~~~~
/var/tmp/portage/media-gfx/scantailor-0.9.11.1/work/scantailor-0.9.11.1/filters/page_split/PageLayoutEstimator.cpp: In static member function ‘static page_split::PageLayout page_split::PageLayoutEstimator::cutAtWhitespaceDeskewed150(page_split::LayoutType, int, const imageproc::BinaryImage&, bool, bool, DebugImages*)’:
/var/tmp/portage/media-gfx/scantailor-0.9.11.1/work/scantailor-0.9.11.1/filters/page_split/PageLayoutEstimator.cpp:526:74: error: no matching function for call to ‘bind(<unresolved overloaded function type>, boost::lambda::lambda_functor<boost::lambda::identity<std::deque<Span>&> >, boost::lambda::placeholder1_type&)’
  span_finder.find(hist, bind(&std::deque<Span>::push_back, var(spans), _1));
                                                                          ^
In file included from /usr/include/boost/lambda/bind.hpp:17:0,


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-13.0-systemd-unstable_20161203-103941) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags in make.conf:
USE="  pax_kernel xtpax -cdinstall -oci8 -bindist ssp contrib corefonts -fluidsynth fpm gcj gnutls go graphtft jpeg -libkms minizip multimedia pam -plotutils server -sockets source spice ssh ssl -swscale -system-ffmpeg udev utils v4l2"
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
3.9.0

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)
  [4]   pypy (fallback)

java-config:
The following VMs are available for generation-2:
  -----------------------------------------------------------------

Portage 2.3.3 (python 3.4.5-final-0, default/linux/amd64/13.0/systemd, gcc-6.2.0, glibc-2.23-r3, 4.8.13-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.13-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285560 total,   7069388 free
KiB Swap:   67108860 total,  67104000 free
Timestamp of repository gentoo: Tue, 13 Dec 2016 17:22:51 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.4_p5-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.7.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.27::gentoo
sys-devel/gcc:            6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.8::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

tinderbox
    location: /tmp/tb/data/portage
    masters: gentoo
    priority: 2

local
    location: /usr/local/portage
    masters: gentoo
    priority: 99

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib64/fax /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/qpsmtpd/plugins /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/angband/gamedata/ /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-Werror=terminate -march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cli contrib corefonts cracklib crypt cxx dri fortran fpm gcj gdbm gnutls go graphtft iconv ipv6 jpeg minizip mmx mmxext modules multilib multimedia ncurses nls nptl openmp pam pax_kernel pcre readline seccomp server session source spice sse sse2 ssh ssl ssp systemd tcpd udev unicode utils v4l2 xattr xtpax zlib" ABI_X86="32 64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="da id km kok ku lv ss" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-12-13 17:36:05 UTC
Created attachment 456098 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-12-13 17:36:08 UTC
Created attachment 456100 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2016-12-13 17:36:11 UTC
Created attachment 456102 [details]
etc.portage.tbz2
Comment 4 Toralf Förster gentoo-dev 2016-12-13 17:36:14 UTC
Created attachment 456104 [details]
media-gfx:scantailor-0.9.11.1:20161213-172313.log
Comment 5 Johannes Huber gentoo-dev 2017-02-26 15:49:57 UTC
Thanks, at least fixed in 0.9.12.2.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f17a5c062e0a6755f90d70827fb25f7bdd515bf6